Index: /extensions/floOS/OS_glass_clear/local_head.tpl
===================================================================
--- /extensions/floOS/OS_glass_clear/local_head.tpl	(revision 11940)
+++ /extensions/floOS/OS_glass_clear/local_head.tpl	(revision 11941)
@@ -2,13 +2,86 @@
 {html_head}{literal} 
 <script type="text/javascript">
+/**
+* jQuery Cookie plugin
+*
+* Copyright (c) 2010 Klaus Hartl (stilbuero.de)
+* Dual licensed under the MIT and GPL licenses:
+* http://www.opensource.org/licenses/mit-license.php
+* http://www.gnu.org/licenses/gpl.html
+*
+*/
+jQuery.cookie = function (key, value, options) {
+
+    // key and at least value given, set cookie...
+    if (arguments.length > 1 && String(value) !== "[object Object]") {
+        options = jQuery.extend({}, options);
+
+        if (value === null || value === undefined) {
+            options.expires = -1;
+        }
+
+        if (typeof options.expires === 'number') {
+            var days = options.expires, t = options.expires = new Date();
+            t.setDate(t.getDate() + days);
+        }
+
+        value = String(value);
+
+        return (document.cookie = [
+            encodeURIComponent(key), '=',
+            options.raw ? value : encodeURIComponent(value),
+            options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
+            options.path ? '; path=' + options.path : '',
+            options.domain ? '; domain=' + options.domain : '',
+            options.secure ? '; secure' : ''
+        ].join(''));
+    }
+
+    // key and possibly options given, get cookie...
+    options = value || {};
+    var result, decode = options.raw ? function (s) { return s; } : decodeURIComponent;
+    return (result = new RegExp('(?:^|; )' + encodeURIComponent(key) + '=([^;]*)').exec(document.cookie)) ? decode(result[1]) : null;
+};
+
+
+
 jQuery(document).ready(function(){
-	$(".titre_acordeon").click(function() {
+	$(".titre_acordeon, .titre_acordeon_0").each(function () {
+		var id = $(this).parent().attr("id");
+		if (!jQuery.cookie(id))
+		{
+			if ( $(this).attr("class")=="titre_acordeon")
+			{
+				jQuery.cookie($(this).parent().attr("id"),false, {path: "/"});
+				$(this).next().hide();
+			}
+			else
+			{
+				$(this).next().show();
+				jQuery.cookie($(this).parent().attr("id"),true, {path: "/"});
+			}
+		}
+		else if (jQuery.cookie(id) == "true")
+		{
+			$(this).next().show();
+		}
+		else
+		{
+			$(this).next().hide();
+		}
+	});
+	
+	$(".titre_acordeon, .titre_acordeon_0").click(function() {
 		$(this).next().toggle("medium");
-	}).next().hide();
-});
-jQuery(document).ready(function(){
-	$(".titre_acordeon_0").click(function() {
-		$(this).next().toggle("medium");
-	}).next().show();
+		var id = $(this).parent().attr("id");
+		if ( jQuery.cookie(id) == "true")
+		{
+			jQuery.cookie(id, false, {path: "/"});
+		}
+		else
+		{
+			jQuery.cookie(id, true, {path: "/"});
+		}
+	});
 });
 $(function(){
Index: /extensions/floOS/OS_glass_dark/local_head.tpl
===================================================================
--- /extensions/floOS/OS_glass_dark/local_head.tpl	(revision 11940)
+++ /extensions/floOS/OS_glass_dark/local_head.tpl	(revision 11941)
@@ -2,13 +2,86 @@
 {html_head}{literal} 
 <script type="text/javascript">
+/**
+* jQuery Cookie plugin
+*
+* Copyright (c) 2010 Klaus Hartl (stilbuero.de)
+* Dual licensed under the MIT and GPL licenses:
+* http://www.opensource.org/licenses/mit-license.php
+* http://www.gnu.org/licenses/gpl.html
+*
+*/
+jQuery.cookie = function (key, value, options) {
+
+    // key and at least value given, set cookie...
+    if (arguments.length > 1 && String(value) !== "[object Object]") {
+        options = jQuery.extend({}, options);
+
+        if (value === null || value === undefined) {
+            options.expires = -1;
+        }
+
+        if (typeof options.expires === 'number') {
+            var days = options.expires, t = options.expires = new Date();
+            t.setDate(t.getDate() + days);
+        }
+
+        value = String(value);
+
+        return (document.cookie = [
+            encodeURIComponent(key), '=',
+            options.raw ? value : encodeURIComponent(value),
+            options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
+            options.path ? '; path=' + options.path : '',
+            options.domain ? '; domain=' + options.domain : '',
+            options.secure ? '; secure' : ''
+        ].join(''));
+    }
+
+    // key and possibly options given, get cookie...
+    options = value || {};
+    var result, decode = options.raw ? function (s) { return s; } : decodeURIComponent;
+    return (result = new RegExp('(?:^|; )' + encodeURIComponent(key) + '=([^;]*)').exec(document.cookie)) ? decode(result[1]) : null;
+};
+
+
+
 jQuery(document).ready(function(){
-	$(".titre_acordeon").click(function() {
+	$(".titre_acordeon, .titre_acordeon_0").each(function () {
+		var id = $(this).parent().attr("id");
+		if (!jQuery.cookie(id))
+		{
+			if ( $(this).attr("class")=="titre_acordeon")
+			{
+				jQuery.cookie($(this).parent().attr("id"),false, {path: "/"});
+				$(this).next().hide();
+			}
+			else
+			{
+				$(this).next().show();
+				jQuery.cookie($(this).parent().attr("id"),true, {path: "/"});
+			}
+		}
+		else if (jQuery.cookie(id) == "true")
+		{
+			$(this).next().show();
+		}
+		else
+		{
+			$(this).next().hide();
+		}
+	});
+	
+	$(".titre_acordeon, .titre_acordeon_0").click(function() {
 		$(this).next().toggle("medium");
-	}).next().hide();
-});
-jQuery(document).ready(function(){
-	$(".titre_acordeon_0").click(function() {
-		$(this).next().toggle("medium");
-	}).next().show();
+		var id = $(this).parent().attr("id");
+		if ( jQuery.cookie(id) == "true")
+		{
+			jQuery.cookie(id, false, {path: "/"});
+		}
+		else
+		{
+			jQuery.cookie(id, true, {path: "/"});
+		}
+	});
 });
 $(function(){
Index: /extensions/floOS/OS_glass_dark_2/local_head.tpl
===================================================================
--- /extensions/floOS/OS_glass_dark_2/local_head.tpl	(revision 11940)
+++ /extensions/floOS/OS_glass_dark_2/local_head.tpl	(revision 11941)
@@ -2,13 +2,86 @@
 {html_head}{literal} 
 <script type="text/javascript">
+/**
+* jQuery Cookie plugin
+*
+* Copyright (c) 2010 Klaus Hartl (stilbuero.de)
+* Dual licensed under the MIT and GPL licenses:
+* http://www.opensource.org/licenses/mit-license.php
+* http://www.gnu.org/licenses/gpl.html
+*
+*/
+jQuery.cookie = function (key, value, options) {
+
+    // key and at least value given, set cookie...
+    if (arguments.length > 1 && String(value) !== "[object Object]") {
+        options = jQuery.extend({}, options);
+
+        if (value === null || value === undefined) {
+            options.expires = -1;
+        }
+
+        if (typeof options.expires === 'number') {
+            var days = options.expires, t = options.expires = new Date();
+            t.setDate(t.getDate() + days);
+        }
+
+        value = String(value);
+
+        return (document.cookie = [
+            encodeURIComponent(key), '=',
+            options.raw ? value : encodeURIComponent(value),
+            options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
+            options.path ? '; path=' + options.path : '',
+            options.domain ? '; domain=' + options.domain : '',
+            options.secure ? '; secure' : ''
+        ].join(''));
+    }
+
+    // key and possibly options given, get cookie...
+    options = value || {};
+    var result, decode = options.raw ? function (s) { return s; } : decodeURIComponent;
+    return (result = new RegExp('(?:^|; )' + encodeURIComponent(key) + '=([^;]*)').exec(document.cookie)) ? decode(result[1]) : null;
+};
+
+
+
 jQuery(document).ready(function(){
-	$(".titre_acordeon").click(function() {
+	$(".titre_acordeon, .titre_acordeon_0").each(function () {
+		var id = $(this).parent().attr("id");
+		if (!jQuery.cookie(id))
+		{
+			if ( $(this).attr("class")=="titre_acordeon")
+			{
+				jQuery.cookie($(this).parent().attr("id"),false, {path: "/"});
+				$(this).next().hide();
+			}
+			else
+			{
+				$(this).next().show();
+				jQuery.cookie($(this).parent().attr("id"),true, {path: "/"});
+			}
+		}
+		else if (jQuery.cookie(id) == "true")
+		{
+			$(this).next().show();
+		}
+		else
+		{
+			$(this).next().hide();
+		}
+	});
+	
+	$(".titre_acordeon, .titre_acordeon_0").click(function() {
 		$(this).next().toggle("medium");
-	}).next().hide();
-});
-jQuery(document).ready(function(){
-	$(".titre_acordeon_0").click(function() {
-		$(this).next().toggle("medium");
-	}).next().show();
+		var id = $(this).parent().attr("id");
+		if ( jQuery.cookie(id) == "true")
+		{
+			jQuery.cookie(id, false, {path: "/"});
+		}
+		else
+		{
+			jQuery.cookie(id, true, {path: "/"});
+		}
+	});
 });
 $(function(){