Index: /extensions/imgpreview/admin/admin.php
===================================================================
--- /extensions/imgpreview/admin/admin.php	(revision 11947)
+++ /extensions/imgpreview/admin/admin.php	(revision 11948)
@@ -16,4 +16,8 @@
 	$newconf_plugin .= '#';
 	$newconf_plugin .= (isset($_POST['max-height']) and preg_match("#^[0-9]+$#",$_POST['max-height'])) ? $_POST['max-height'] : $conf_imgp[1];
+	$newconf_plugin .= '#';
+	$newconf_plugin .= (isset($_POST['show-title'])) ? "true" : "false";
+	$newconf_plugin .= '#';
+	$newconf_plugin .= (isset($_POST['opacity'])) ? "true" : "false";
 	conf_update_param('imgpreview', pwg_db_real_escape_string($newconf_plugin));				
 	array_push($page['infos'], l10n('imgp_conf_updated'));
@@ -22,9 +26,12 @@
 load_conf_from_db();
 $conf_imgp = explode("#" , $conf['imgpreview']);
-
+$val_title=(isset($conf_imgp[2]) and $conf_imgp[2]=="true") ? "checked" : ""; 
+$val_opacity=(isset($conf_imgp[3]) and $conf_imgp[3]=="true") ? "checked" : ""; 
 $template->assign(
 	array(
 		'MAX_W' => 'value="'.$conf_imgp[0].'"',
 		'MAX_H' => 'value="'.$conf_imgp[1].'"',
+		'SHOW_TITTLE' => $val_title,
+		'OPACITY' => $val_opacity,
 		'PWG_TOKEN' => get_pwg_token()
 	)
Index: /extensions/imgpreview/admin/admin.tpl
===================================================================
--- /extensions/imgpreview/admin/admin.tpl	(revision 11947)
+++ /extensions/imgpreview/admin/admin.tpl	(revision 11948)
@@ -10,4 +10,8 @@
     <input name="max-height" type="text" size="5" {$MAX_H} />
     px<br />
+    <br />
+    {'imgp_showtitle'|@translate}<input type="checkbox" name="show-title" {$SHOW_TITTLE}><br />
+    {'imgp_opacity'|@translate}<input type="checkbox" name="opacity" {$OPACITY}><br />
+    <br />
     <input name="envoi_config" type="hidden" value="imgpreview" />
     <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
@@ -15,6 +19,8 @@
   </form>
 </fieldset>
-<hr />
+
+<fieldset>
 <div style="text-align:left">
   {'imgp_howitworks'|@translate}
 </div>
+</fieldset>
Index: /extensions/imgpreview/css_js.tpl
===================================================================
--- /extensions/imgpreview/css_js.tpl	(revision 11947)
+++ /extensions/imgpreview/css_js.tpl	(revision 11948)
@@ -1,4 +1,41 @@
 {combine_script id='jquery.imgpreview' load='header' require='jquery' path='plugins/imgpreview/js/imgpreview.js'}
-{combine_script id='imgpreview.init' load='footer' require='jquery.imgpreview' path='plugins/imgpreview/js/init.js'}
+
+{footer_script require='jquery.imgpreview'}
+{if isset($imgpreview)}
+{literal}
+$('.thumbnails a, #thumbnails a').imgPreview({
+    containerID: 'tooltip',
+		srcAttr: 'imgsrc',
+		considerBorders:'true',
+    // When container is shown:
+    onShow: function(link){
+      {/literal}{if $imgpreview.title=="true"}{literal}
+      $('<span>' + $(link).children().attr("title") + '</span>').appendTo(this);
+      
+      {/literal}{/if}{if $imgpreview.opacity=="true"}{literal}
+      $(link).stop().animate({opacity:0.4});
+      // Reset image:
+      $('img', this).stop().css({opacity:0});
+      {/literal}{/if}{literal}
+    },
+    onLoad: function(){
+      {/literal}{if $imgpreview.opacity=="true"}{literal}
+      $(this).animate({opacity:1}, 300);
+      {/literal}{/if}{literal}
+    },
+    // When container hides: 
+    onHide: function(link){
+      {/literal}{if $imgpreview.title=="true"}{literal}
+      $('span', this).remove();
+      {/literal}{/if}{if $imgpreview.opacity=="true"}{literal}
+      $(link).stop().animate({opacity:1});
+      {/literal}{/if}{literal}
+    }
+});
+
+{/literal}
+{/if}
+{/footer_script}
+
 {combine_css path="plugins/imgpreview/css/imgpreview.css"}
 {if isset($imgpreview)}
Index: tensions/imgpreview/js/init.js
===================================================================
--- /extensions/imgpreview/js/init.js	(revision 11947)
+++ 	(revision )
@@ -1,43 +1,0 @@
-//$(document).ready(function(){
-	/*
-(function($) {
-   previewBoxId = 'tooltip';
-   if ($('.thumbnails a, #thumbnails a').length > 0 ) {
-      $('.thumbnails a, #thumbnails a').imgPreview({
-         containerID:previewBoxId,
-         considerBorders:'true',
-         srcAttr: 'imgsrc',
-         preloadImages: false,
-      });
-    
-   }
-
-  
-//});
-})(jQuery);*/
-
-$('.thumbnails a, #thumbnails a').imgPreview({
-    containerID: 'tooltip',
-		srcAttr: 'imgsrc',
-		considerBorders:'true',
-    // When container is shown:
-    onShow: function(link){
-        $('<span>' + $(link).children().attr("title") + '</span>').appendTo(this);
-				        // Animate link:
-        $(link).stop().animate({opacity:0.4});
-        // Reset image:
-        $('img', this).stop().css({opacity:0});
-
-    },
-    onLoad: function(){
-        // Animate image
-        $(this).animate({opacity:1}, 300);
-    },
-    // When container hides: 
-    onHide: function(link){
-        $('span', this).remove();
-        // Animate link:
-        $(link).stop().animate({opacity:1});
-
-    }
-});
Index: /extensions/imgpreview/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/fr_FR/plugin.lang.php	(revision 11947)
+++ /extensions/imgpreview/language/fr_FR/plugin.lang.php	(revision 11948)
@@ -2,4 +2,6 @@
 $lang['imgp_max_width'] = 'largeur maximum de l\'image';
 $lang['imgp_max_height'] = 'hauteur maximum de l\'image';
+$lang['imgp_showtitle'] = 'Afficher le nom de l\'image';
+$lang['imgp_opacity'] = 'Faire un effet de transparence au survol';
 $lang['imgp_send'] = 'Envoyer !';
 
@@ -8,5 +10,17 @@
 
 
-$lang['imgp_howitworks'] = 'utilise :<br>
+$lang['imgp_howitworks'] = '
+L\'auteur de ce plugin <a href="http://www.planete-flop.fr">Flop25</a> vous recommande :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> par P@t : ce plugin permet l\'ajout de blocs (Bloc personnel-Derniers commentaires-Images au hasard...) sur votre galerie</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> par Flop25 : ce plugin permet d\'attribuer à n\'importe quels thèmes, un autre set d\'icônes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> par Flop25 : flop_style est un "Template (modèle)" ou "template-extension" : il permet de modifier une petite partie de votre galerie telle que les catégories ou les miniatures sans changer de thème</li>
+<li><a href="http://piwigo.org/ext/">et bien plus d\'extensions sur piwigo.org</a></li>
+</ul>
+<br>
+Pour les designers : sachez que la vignette est entièrement personnalisable avec l\'id #tooltip (img pour l\'image ou span pour le texte)
+<br>
+<br>
+Ce plugin utilise une version modifiée de :<br>
  * imgPreview jQuery plugin <br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -16,4 +30,7 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
+ <br>
+<br>
+<a href="http://fr.piwigo.org/forum/">En cas de problèmes, le forum de Piwigo -fort de sa communauté très active- vous aidera.</a>
 ';
 
Index: /extensions/imgpreview/main.inc.php
===================================================================
--- /extensions/imgpreview/main.inc.php	(revision 11947)
+++ /extensions/imgpreview/main.inc.php	(revision 11948)
@@ -30,5 +30,5 @@
 
 	$conf_imgp = explode("#" , $conf['imgpreview']);
-	$imgpreview=array( 'width' => $conf_imgp[0], 'height' => $conf_imgp[1] );
+	$imgpreview=array( 'width' => $conf_imgp[0], 'height' => $conf_imgp[1], 'title' => $conf_imgp[2], 'opacity' => $conf_imgp[3] );
 	$template->assign(array(
 		'imgpreview' => $imgpreview
Index: /extensions/imgpreview/maintain.inc.php
===================================================================
--- /extensions/imgpreview/maintain.inc.php	(revision 11947)
+++ /extensions/imgpreview/maintain.inc.php	(revision 11948)
@@ -7,5 +7,5 @@
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
 	VALUES
-	("imgpreview" , "600#600" , "max-width#max-height");';
+	("imgpreview" , "600#600#true#true" , "max-width#max-height#title#opacity");';
     pwg_query($q);
 
@@ -16,5 +16,26 @@
 function plugin_activate()
 {
-    global $prefixeTable;
+  global $prefixeTable, $conf;
+	//////////// Check Config
+	$query = '
+	SELECT COUNT(*) AS result FROM '.CONFIG_TABLE.'
+	WHERE param IN (\'imgpreview\')
+	;';
+	$data_table = pwg_db_fetch_assoc(pwg_query($query));
+	$exist = $data_table['result'];
+	if ( $exist == 0 )
+	{
+		plugin_install();
+	} 
+	else {
+		load_conf_from_db();
+
+		if (count(explode("#" , $conf['imgpreview']))!=4)
+		{
+			pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param IN (\'imgpreview\')');
+			pwg_query($q);
+			plugin_install();
+		}
+	}
 }//fin active
 