Index: /extensions/imgpreview/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/cs_CZ/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/cs_CZ/plugin.lang.php	(revision 11949)
@@ -6,6 +6,19 @@
 $lang['imgp_conf_updated'] = 'konfigurace byla aktualizována';
 
-
-$lang['imgp_howitworks'] = 'use : 
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -15,5 +28,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
+';/** TODO **/
 
 ?>
Index: /extensions/imgpreview/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/de_DE/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/de_DE/plugin.lang.php	(revision 11949)
@@ -7,6 +7,19 @@
 
 
-
-$lang['imgp_howitworks'] = 'Benutzung : 
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -16,6 +29,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
-
+';/** TODO **/
 
 
Index: /extensions/imgpreview/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/en_UK/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/en_UK/plugin.lang.php	(revision 11949)
@@ -2,4 +2,6 @@
 $lang['imgp_max_width'] = 'maximum width of the picture';
 $lang['imgp_max_height'] = 'maximum height of the picture';
+$lang['imgp_showtitle'] = 'Display the picture name';
+$lang['imgp_opacity'] = 'Opacity on mouseover';
 $lang['imgp_send'] = 'Submit !';
 
@@ -8,5 +10,17 @@
 
 
-$lang['imgp_howitworks'] = 'use : 
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
Index: /extensions/imgpreview/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/es_ES/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/es_ES/plugin.lang.php	(revision 11949)
@@ -7,6 +7,19 @@
 
 
-
-$lang['imgp_howitworks'] = 'use : 
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -16,5 +29,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
+';/** TODO **/
 
 
Index: /extensions/imgpreview/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/hu_HU/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/hu_HU/plugin.lang.php	(revision 11949)
@@ -6,15 +6,27 @@
 $lang['imgp_conf_updated'] = 'A konfiguráció frissítése sikeres.';
 
-
-
-$lang['imgp_howitworks'] = 'használat :<br>
- * imgPreview jQuery bővítmény<br>
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
+ * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
  * j@qd9.co.uk | http://james.padolsey.com<br>
- * Kettős licenc alatt: MIT és GPL.<br>
- * Frissítve: 09/02/09<br>
- * @szerző James Padolsey<br>
- * @verzió 0.22<br>
-';
+ * Dual licensed under MIT and GPL.<br>
+ * Updated: 09/02/09<br>
+ * @author James Padolsey<br>
+ * @version 0.22<br>
+';/** TODO **/
 
 
Index: /extensions/imgpreview/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/it_IT/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/it_IT/plugin.lang.php	(revision 11949)
@@ -7,7 +7,20 @@
 
 
-
-$lang['imgp_howitworks'] = 'usa :<br>
- * imgPreview jQuery plugin <br>
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
+ * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
  * j@qd9.co.uk | http://james.padolsey.com<br>
@@ -16,6 +29,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
-
+';/** TODO **/
 
 
Index: /extensions/imgpreview/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/lv_LV/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/lv_LV/plugin.lang.php	(revision 11949)
@@ -6,13 +6,27 @@
 $lang['imgp_conf_updated'] = 'Konfigurācija ir atjaunināta';
 
-$lang['imgp_howitworks'] = 'lietot :
-* imgPreview jQuery spraudnis<br>
-* Copyright (c) 2009 James Padolsey<br>
-* j@qd9.co.uk | http://james.padolsey.com<br>
-*  MIT un GPL dubultlicence.<br>
-* Atjaunināts: 09/02/09<br>
-* @autors James Padolsey<br>
-* @versija 0.22<br>
-';
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
+ * imgPreview jQuery plugin<br>
+ * Copyright (c) 2009 James Padolsey<br>
+ * j@qd9.co.uk | http://james.padolsey.com<br>
+ * Dual licensed under MIT and GPL.<br>
+ * Updated: 09/02/09<br>
+ * @author James Padolsey<br>
+ * @version 0.22<br>
+';/** TODO **/
 
 ?>
Index: /extensions/imgpreview/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/nl_NL/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/nl_NL/plugin.lang.php	(revision 11949)
@@ -9,5 +9,19 @@
 
 
-$lang['imgp_howitworks'] = 'use : 
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -17,5 +31,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
+';/** TODO **/
 
 
Index: /extensions/imgpreview/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/pl_PL/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/pl_PL/plugin.lang.php	(revision 11949)
@@ -7,6 +7,19 @@
 
 
-
-$lang['imgp_howitworks'] = 'use : 
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -16,5 +29,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
+';/** TODO **/
 
 
Index: /extensions/imgpreview/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/ru_RU/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/ru_RU/plugin.lang.php	(revision 11949)
@@ -5,8 +5,19 @@
 
 $lang['imgp_conf_updated'] = 'Настройки сохранены';
-
-
-
-$lang['imgp_howitworks'] = 'О плагине :
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -16,5 +27,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
+';/** TODO **/
 
 
Index: /extensions/imgpreview/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/imgpreview/language/tr_TR/plugin.lang.php	(revision 11948)
+++ /extensions/imgpreview/language/tr_TR/plugin.lang.php	(revision 11949)
@@ -7,6 +7,19 @@
 
 
-
-$lang['imgp_howitworks'] = 'kullan : 
+$lang['imgp_showtitle'] = 'Display the picture name';/** TODO **/
+$lang['imgp_opacity'] = 'Opacity on mouseover';/** TODO **/
+$lang['imgp_howitworks'] = '<a href="http://www.planete-flop.fr">Flop25</a> -the creator of this plugin- recommends :
+<ul>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=190">PWG Stuff</a> by P@t : this plugin adds modules on your gallery.</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=527">Icons Set</a> by Flop25 : this plugin allows you to use other icons for any themes</li>
+<li><a href="http://piwigo.org/ext/extension_view.php?eid=231">Flop Style</a> by Flop25 : flop_style is a "template extension" and enable changes of a small part of Piwigo such as categories display</li>
+<li><a href="http://piwigo.org/ext/">and much more on piwigo.org</a></li>
+</ul>
+<br>
+For designers : the popup is customizable with the id #tooltip (with img or span for the text)
+<br>
+<br>
+This plugin uses a modified version of :<br>
+ 
  * imgPreview jQuery plugin<br>
  * Copyright (c) 2009 James Padolsey<br>
@@ -16,5 +29,5 @@
  * @author James Padolsey<br>
  * @version 0.22<br>
-';
+';/** TODO **/
 
 