Index: /trunk/language/af_ZA/about.html
===================================================================
--- /trunk/language/af_ZA/about.html	(revision 11953)
+++ /trunk/language/af_ZA/about.html	(revision 11953)
@@ -0,0 +1,16 @@
+<p>Hierdie fotogallery is geskep deur Piwigo.</p>
+
+<p>Piwigo is webgebaseerde fotogallery sagteware. Dit word ontwikkel en onderhou
+deur 'n aktiewe gemeenskap gebruikers en ontwikkelaars. Piwigo kan soos verkies
+aangepas word deur 'n verskeidenheid modules. Kersie op die koek: Piwigo is gratis
+en oopkode.</p>
+
+<p id="linkToPiwigo"><a href="http://piwigo.org">Besoek die Piwigo webblad</a></p>
+
+<p>Die Afrikaanse vertaling word onderhou deur (in alfabetiese volgorde):
+
+    <ul>
+        <li><a href="http://piwigo.org/forum/profile.php?id=13577">maeztro</a></li>
+    <li>vlooi
+    </ul>
+           .... Baie dankie aan almal</p>
Index: /trunk/language/af_ZA/admin.lang.php
===================================================================
--- /trunk/language/af_ZA/admin.lang.php	(revision 11953)
+++ /trunk/language/af_ZA/admin.lang.php	(revision 11953)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Average rate'] = "Gemiddelde gradering";
+$lang['Rate'] = "Gradeer";
+
+?>
Index: /trunk/language/af_ZA/common.lang.php
===================================================================
--- /trunk/language/af_ZA/common.lang.php	(revision 11953)
+++ /trunk/language/af_ZA/common.lang.php	(revision 11953)
@@ -0,0 +1,355 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+/*
+Language Name: Afrikaans [ZA]
+Version: 2.3.0
+Language URI: http://piwigo.org/ext/extension_view.php?eid=572
+Author: Marius Loots and Mignon Smit
+Author URI: http://piwigo.org
+*/
+
+$lang_info['language_name'] = "Afrikaans";
+$lang_info['country'] = "Suid-Afrika";
+$lang_info['direction'] = "ltr";
+$lang_info['code'] = "af";
+$lang_info['zero_plural'] = "1";
+
+$lang['%d Kb'] = "%d Kb";
+$lang['%d album updated'] = "%d album opdateer";
+$lang['%d albums updated'] = "%d albums opdateer";
+$lang['%d comment to validate'] = "%d kommentaar om te verifieer";
+$lang['%d comments to validate'] = "%d kommentaar om te verifieer";
+$lang['%d new comment'] = "%d nuwe kommentaar";
+$lang['%d new comments'] = "%d nuwe kommentaar";
+$lang['%d comment'] = "%d kommentaar";
+$lang['%d comments'] = "%d kommentaar";
+$lang['%d hit'] = "%d besoeke";
+$lang['%d hits'] = "%d besoeke";
+$lang['%d new photo'] = "%d nuwe foto";
+$lang['%d new photos'] = "%d nuwe fotos";
+$lang['%d new user'] = "%d nuwe gebruiker";
+$lang['%d new users'] = "%d nuwe gebruikers";
+$lang['About'] = "Waaroor";
+$lang['All tags'] = "Alle sleutelwoorde";
+$lang['Any tag'] = "Enige sleutelwoorde";
+$lang['At least one listed rule must be satisfied.'] = "Ten minste een kriteria moet aan voldoen word.";
+$lang['At least one tag must match'] = "Ten minste een kriteria moet pas";
+$lang['Author'] = "Outeur";
+$lang['Albums'] = "Albums";
+$lang['Album'] = "Album";
+$lang['Close this window'] = "Maak die skerm toe";
+$lang['Complete RSS feed (photos, comments)'] = "Volledige RSS string (Fotos, kommentaar)";
+$lang['Confirm Password'] = "Bevestig wagwoord";
+$lang['Connection settings'] = "Verbinding stelling";
+$lang['Login'] = "Login";
+$lang['Contact webmaster'] = "Kontak Webwerf Admin";
+$lang['Create a new account'] = "Skep nuwe rekening";
+$lang['Created on'] = "Geskep op";
+$lang['Creation date'] = "Skep datum";
+$lang['Current password is wrong'] = "Huidige wagwoord is verkeerd";
+$lang['Dimensions'] = "Afmetings";
+$lang['Display'] = "Vertoon";
+$lang['Each listed rule must be satisfied.'] = "Elke gelyste kriteria moet aan voldoen word.";
+$lang['Email address'] = "Epos adres";
+$lang['Enter your personnal informations'] = "Sleutel persoonlike data in";
+$lang['Error sending email'] = "Fout wanneer epos gestuur word";
+$lang['File name'] = "Lêernaam";
+$lang['File'] = "Lêer";
+$lang['Filesize'] = "Lêer grootte";
+$lang['Filter and display'] = "Filtreer en vertoon";
+$lang['Filter'] = "Filtreer";
+$lang['Forgot your password?'] = "Wagwoord vergeet?";
+$lang['Go through the gallery as a visitor'] = "Navigeer deur die gallery as 'n besoeker";
+$lang['Help'] = "Hulp";
+$lang['Identification'] = "Identifikasie";
+$lang['Photos only RSS feed'] = "Foto RSS string";
+$lang['Keyword'] = "Sleutelwoord";
+$lang['Links'] = "Skakels";
+$lang['N/A'] = "Nvt";
+$lang['New on %s'] = "Nuut op %s";
+$lang['New password confirmation does not correspond'] = "U wagwoord bevestiging stem nie ooreen nie";
+$lang['New password sent by email'] = "Nuwe wagwoord per epos gestuur";
+$lang['No email address'] = "Geen epos adres nie";
+$lang['No classic user matches this email address'] = "Geen gebruiker met die epos adres nie";
+$lang['Notification'] = "Kennisgewing";
+$lang['Number of items'] = "Getal items";
+$lang['Original dimensions'] = "Oorspronklike afmetings";
+$lang['Password forgotten'] = "Wagwoord vergeet";
+$lang['Password'] = "Wagwoord";
+$lang['Post date'] = "Datum bygevoeg";
+$lang['Posted on'] = "Bygevoeg op";
+$lang['Profile'] = "Profiel";
+$lang['Quick connect'] = "Vinnig verbind";
+$lang['RSS feed'] = "RSS string";
+$lang['Register'] = "Registreer";
+$lang['Registration'] = "Registrasie";
+$lang['Related tags'] = "Verbandhoudende sleutelwoorde";
+$lang['Reset'] = "Herstel";
+$lang['Retrieve password'] = "Herwin wagwoord";
+$lang['Search rules'] = "Soek kriteria";
+$lang['Search tags'] = "Soek sleutelwoorde";
+$lang['Search'] = "Soek";
+$lang['display available tags'] = "Vertoon beskikbare sleutelwoorde";
+$lang['Send new password'] = "Stuur nuwe wagwoord";
+$lang['Since'] = "Sedert";
+$lang['Sort by'] = "Sorteer volgens";
+$lang['Sort order'] = "Sorteer orde";
+$lang['Tag'] = "Sleutelwoord";
+$lang['Tags'] = "Sleutelwoorde";
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = "Die RSS string gee kennis van nuwe gebeure op die webwerf: nuwe fotos, opdatering van albums en nuwe kommentaar. Gebruik saam met RSS stringleser.";
+$lang['Unknown feed identifier'] = "Onbekende string identifiseerder";
+$lang['User comments'] = "Gebruikerskommentaar";
+$lang['Username'] = "Gebruikersnaam";
+$lang['Visits'] = "Besoeke";
+$lang['Webmaster'] = "Webwerf admin";
+$lang['Week %d'] = "Weeks %d";
+$lang['About Piwigo'] = "Oor Piwigo";
+$lang['You are not authorized to access the requested page'] = "U is nie gemagtig om die blad te besoek nie";
+$lang['add to caddie'] = "plaas in mandjie";
+$lang['add this photo to your favorites'] = "plaas die foto by u gunstelinge";
+$lang['Administration'] = "Administrasie";
+$lang['all'] = "alles";
+$lang['ascending'] = "toenemend";
+$lang['author(s) : %s'] = "outeur(s) : %s";
+$lang['Expand all albums'] = "Vergroot alle albums";
+$lang['posted after %s (%s)'] = "bygevoeg na %s (%s)";
+$lang['posted before %s (%s)'] = "bygevoeg voor %s (%s)";
+$lang['posted between %s (%s) and %s (%s)'] = "bygevoeg tussen %s (%s) en %s (%s)";
+$lang['posted on %s'] = "bygevoeg op %s";
+$lang['Best rated'] = "Hoogste gradering";
+$lang['display best rated photos'] = "Vertoon gewildste fotos";
+$lang['caddie'] = "mandjie";
+$lang['Calendar'] = "Kalender";
+$lang['All'] = "Almal";
+$lang['display each day with photos, month per month'] = "Vertoon elke dag met nuwe fotos, maand per maand";
+$lang['View'] = "Besigtig";
+$lang['chronology_monthly_calendar'] = "Maandelikse kalender";
+$lang['chronology_monthly_list'] = "Maandelikse lys";
+$lang['chronology_weekly_list'] = "Weeklikse lys";
+$lang['Click here if your browser does not automatically forward you'] = "Kliek hier as die leser u nie automaties neem nie";
+$lang['comment date'] = "kommentaar datum";
+$lang['Comment'] = "Kommentaar";
+$lang['Your comment has been registered'] = "U kommentaar is geregistreer";
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = "Gemorspos voorkoming : Was asb 'n oomblik voor u weer probeer";
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = "U kommentaar is in die asblik, dit het nie die verifikasie toets deurstaan nie";
+$lang['An administrator must authorize your comment before it is visible.'] = "Die Administrateur moet u kommentaar goedkeur VOOR dit sal vertoon.";
+$lang['This login is already used by another user'] = "Die aanteken naam is ongelukkig reeds in gebruik";
+$lang['Comments'] = "Kommentaar";
+$lang['Add a comment'] = "Los kommentaar";
+$lang['created after %s (%s)'] = "geskep na %s (%s)";
+$lang['created before %s (%s)'] = "geskep voor %s (%s)";
+$lang['created between %s (%s) and %s (%s)'] = "geskep tussen %s (%s) en %s (%s)";
+$lang['created on %s'] = "geskep op %s";
+$lang['Customize'] = "Verander na smaak";
+$lang['Your Gallery Customization'] = "Verander U gallery na smaak";
+$lang['day'][0] = "Sondag";
+$lang['day'][1] = "Maandag";
+$lang['day'][2] = "Dinsdag";
+$lang['day'][3] = "Woensdag";
+$lang['day'][4] = "Donderdag";
+$lang['day'][5] = "Vrydag";
+$lang['day'][6] = "Saterdag";
+$lang['Default'] = "Verstek";
+$lang['delete this photo from your favorites'] = "Verwyder die foto onder u gunstelinge";
+$lang['Delete'] = "Verwyder";
+$lang['descending'] = "afnemend";
+$lang['download'] = "Laai af";
+$lang['download this file'] = "Laai die lêer af";
+$lang['edit'] = "verander";
+$lang['wrong date'] = "verkeerde datum";
+$lang['excluded'] = "uitgesluit";
+$lang['Your favorites'] = "U gunstelinge";
+$lang['display your favorites photos'] = "vertoon u gunsteling fotos";
+$lang['Favorites'] = "Gunstelinge";
+$lang['First'] = "Eerste";
+$lang['The gallery is locked for maintenance. Please, come back later.'] = "Die gallery is toe vir instandhouding. Kom besoek ons asb. later weer.";
+$lang['Page generated in'] = "Bladsy gegenereer in";
+$lang['guest'] = "gas";
+$lang['Hello'] = "Hallo";
+$lang['available for administrators only'] = "slegs vir administrateur beskikbaar";
+$lang['display this album'] = "vertoon hierdie album";
+$lang['display last user comments'] = "vertoon die laaste gebruiker se kommentaar";
+$lang['customize the appareance of the gallery'] = "Verander die voorkoms van die gallery";
+$lang['search'] = "soek";
+$lang['Home'] = "Tuis";
+$lang['in this album'] = "in hierdie album";
+$lang['in %d sub-album'] = "in %d sub-album";
+$lang['in %d sub-albums'] = "in %d sub-albums";
+$lang['included'] = "ingesluit";
+$lang['Invalid password!'] = "Ongeldige wagwoord!";
+$lang['Language'] = "Taal";
+$lang['last %d days'] = "laaste %d dae";
+$lang['Last'] = "Laaste";
+$lang['Logout'] = "Teken uit";
+$lang['E-mail address'] = "Epos adres";
+$lang['obligatory'] = "verplig";
+$lang['Maximum photo height'] = "Maksimum foto hoogte";
+$lang['Maximum height must be a number superior to 50'] = "Maksimum hoogte moet 'n getal groter as 50 wees";
+$lang['Maximum photo width'] = "Maksimum foto wydte";
+$lang['Maximum width must be a number superior to 50'] = "Maksimum wydte moet 'n getal groter as 50 wees";
+$lang['display a calendar by creation date'] = "vertoon 'n kalender volgens datum geskep";
+$lang['display all photos in all sub-albums'] = "vertoon alle fotos in alle sub-albums";
+$lang['return to normal view mode'] = "gaan terug na normale voorkoms";
+$lang['display a calendar by posted date'] = "vertoon die kalender volgens publikasie datum";
+$lang['month'][10] = "Oktober";
+$lang['month'][11] = "November";
+$lang['month'][12] = "Desember";
+$lang['month'][1] = "Januarie";
+$lang['month'][2] = "Februarie";
+$lang['month'][3] = "Maart";
+$lang['month'][4] = "April";
+$lang['month'][5] = "Mei";
+$lang['month'][6] = "Junie";
+$lang['month'][7] = "Julie";
+$lang['month'][8] = "Augustus";
+$lang['month'][9] = "September";
+$lang['Most visited'] = "Meeste besoek";
+$lang['display most visited photos'] = "vertoon gewildste fotos";
+$lang['Unknown identifier'] = "Onbekende identifiseerder";
+$lang['New password'] = "Nuwe wagwoord";
+$lang['Rate this photo'] = "Gradeer die foto";
+$lang['Next'] = "Volgende";
+$lang['no rate'] = "geen gradering";
+$lang['Photos posted within the last %d day.'] = "Slegs fotos wat binne die laaste %d dae gepos is.";
+$lang['Photos posted within the last %d days.'] = "Slegs fotos wat die laaste %d dae gepos is.";
+$lang['password updated'] = "wagwoord opgedateer";
+$lang['Recent period must be a positive integer value'] = "Onlangse periode moet 'n positiewe waarde wees";
+$lang['photo'] = "foto";
+$lang['Click on the photo to see it in high definition'] = "Kliek om die foto in hoë definisie te sien";
+$lang['Show file metadata'] = "Wys lêer metadata";
+$lang['Powered by'] = "Aangedryf deur";
+$lang['Preferences'] = "Voorkeure";
+$lang['Previous'] = "Vorige";
+$lang['Random photos'] = "Lukraak fotos";
+$lang['display a set of random photos'] = "vertoon 'n stel lukraak fotos";
+$lang['Recent albums'] = "Onlangse albums";
+$lang['display recently updated albums'] = "Vertoon albums wat onlangs opgedateer is";
+$lang['Recent period'] = "Onlangs periode";
+$lang['Recent photos'] = "Onlangse fotos";
+$lang['display most recent photos'] = "Vertoon mees onlangse fotos";
+$lang['Redirection...'] = "Verwysing...";
+$lang['Please, enter a login'] = "Vul 'n aanteken naam in";
+$lang['login mustn\'t end with a space character'] = "Aanteken naam mag nie op 'n spasie eindig nie";
+$lang['login mustn\'t start with a space character'] = "Aanteken naam kan nie met 'n spasie begin nie";
+$lang['this login is already used'] = "die aanteken naam is reeds in gebruik";
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = "epos adres moet wees soos xxx@yyy.ee.ee (voorbeeld : koos@vlooi.co.za)";
+$lang['please enter your password again'] = "Sleutel jou wagwoord weer in";
+$lang['Auto login'] = "Auto login";
+$lang['remove this tag from the list'] = "haal die sleutelwoord uit die lys uit";
+$lang['representative'] = "verteenwoordiger";
+$lang['Search for Author'] = "Soek vir 'n outeur";
+$lang['Search in albums'] = "Soek in albums";
+$lang['Search by Date'] = "Soek volgens datum";
+$lang['Date'] = "Datum";
+$lang['End-Date'] = "Eind datum";
+$lang['Kind of date'] = "Tipe datum";
+$lang['Search for words'] = "Soek vir woorde";
+$lang['Search for all terms'] = "Soek vir alle terme";
+$lang['Search for any terms'] = "Soek vir enige term";
+$lang['Empty query. No criteria has been entered.'] = "Soektog leeg. Geen kriteria is ingevul nie.";
+$lang['Search Options'] = "Soektog opsies";
+$lang['Search results'] = "Soektog resultate";
+$lang['Search in sub-albums'] = "Soek in sub-albums";
+$lang['searched words : %s'] = "Soek woorde : %s";
+$lang['Contact'] = "Kontak";
+$lang['set as album representative'] = "Stel as album verteenwoordiger";
+$lang['Show number of comments'] = "Toon aantal kommentare";
+$lang['Show number of hits'] = "Wys aantal besoeke";
+$lang['slideshow'] = "skyfiereeks";
+$lang['stop the slideshow'] = "stop die skyfiereeks";
+$lang['Specials'] = "Treffers";
+$lang['SQL queries in'] = "SQL navrae in";
+$lang['display only recently posted photos'] = "Vertoon slegs fotos wat onlangs gepos is";
+$lang['return to the display of all photos'] = "gaan terug na vertoning van alle fotos";
+$lang['the beginning'] = "die begin";
+$lang['Interface theme'] = "Koppelvlak tema";
+$lang['Thumbnails'] = "Duimnale";
+$lang['Menu'] = "Keusepaneel";
+$lang['A comment on your site'] = "Kommentaar op u werf";
+$lang['today'] = "vandag";
+$lang['Update your rating'] = "Dateer u gradering op";
+$lang['wrong filename'] = "Verkeerde lêernaam";
+$lang['the username must be given'] = "die gebruikersnaam word vereis";
+$lang['useful when password forgotten'] = "handig indien wagwoord vergeet is";
+$lang['Quick search'] = "Vinnige soek";
+$lang['Connected user: %s'] = "Gebruikers aanlyn: %s";
+$lang['IP: %s'] = "IP: %s";
+$lang['Browser: %s'] = "Leser: %s";
+$lang['Author: %s'] = "Outeur: %s";
+$lang['Comment: %s'] = "Kommentaar: %s";
+$lang['Comment by %s'] = "Kommentaar deur %s";
+$lang['User: %s'] = "Gebruiker: %s";
+$lang['Email: %s'] = "Epos: %s";
+$lang['Admin: %s'] = "Admin: %s";
+$lang['Registration of %s'] = "Registrasie van %s";
+$lang['Album: %s'] = "Album: %s";
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Swak status vir gebruiker \"gas\", verstek status sal gebruik word. Kontak die webwerf adminisrateur.";
+$lang['Administrator, webmaster and special user cannot use this method'] = "Administrateur, webwerf administrateur en spesiale gebruikers kan nie die metode gebruik nie";
+$lang['this email address is already in use'] = "die epos is reeds in gebruik";
+$lang['Album results for'] = "Album resultate vir";
+$lang['Tag results for'] = "Sleutelwoord resultate vir";
+$lang['from %s to %s'] = "van %s na %s";
+$lang['Play of slideshow'] = "Speel skyfiereeks";
+$lang['Pause of slideshow'] = "Halt skyfiereeks";
+$lang['Repeat the slideshow'] = "Herhaal skyfiereeks";
+$lang['Not repeat the slideshow'] = "Moenie skyfiereeks herhaal nie";
+$lang['Reduce diaporama speed'] = "Verminder skyfiereeks spoed";
+$lang['Accelerate diaporama speed'] = "Verhoog skyfiereeks spoed";
+$lang['Submit'] = "Stuur";
+$lang['Yes'] = "Ja";
+$lang['No'] = "Nee";
+$lang['%d photo'] = "%d foto";
+$lang['%d photos'] = "%d fotos";
+$lang['%d photo is also linked to current tags'] = "%d foto is gekoppel aan huidige sleutelwoorde";
+$lang['%d photos are also linked to current tags'] = "%d fotos is gekoppel aan huidige sleutelwoorde";
+$lang['display photos linked to this tag'] = "vertoon fotos gekoppel aan die sleutelwoorde";
+$lang['photos posted during the last %d days'] = "fotos gepos die laaste %d dae";
+$lang['Piwigo Help'] = "Piwigo hulp";
+$lang['Rank'] = "Orde";
+$lang['group by letters'] = "groepeer volgens letters";
+$lang['letters'] = "letters";
+$lang['show tag cloud'] = "wys sleutelwoorde in sleutelwolk";
+$lang['cloud'] = "wolk";
+$lang['Reset to default values'] = "Herstel na verstek waardes";
+$lang['delete all photos from your favorites'] = "verwyder alle fotos vanuit gunstelinge";
+$lang['Sent by'] = "Gestuur deur";
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Koekblik is toe, of word nie deur u leser ondersteun nie. U moet koekies ontvang om te kan aanteken.";
+$lang['edit this comment'] = "wysig die kommentaar";
+$lang['Edit a comment'] = "Wysig kommentaar";
+$lang['Are you sure?'] = "Is jy seker?";
+$lang['(!) This comment requires validation'] = '(!) Die kommentaar vereis validasie';
+$lang['Welcome'] = 'Welkom';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Welkom by u Piwigo foto gallery!';
+$lang['... or browse your empty gallery'] = '... of kyk deur die spook gallery';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... of haal die boodskap af, ek sal my eie pad vind';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, jou Piwigo foto gallery is leeg!';
+$lang['I want to add photos'] = 'Ek wil fotos bylas';
+$lang['Manage this user comment: %s'] = 'bestuur die gebruiker se kommentaar: %s';
+$lang['Email address is missing. Please specify an email address.'] = "Epos adres word vermis. Spesifiseer asb. epos adres.";
+$lang['This author modified following comment:'] = 'Die outeur het die volgende kommentaar verander:';
+$lang['This author removed the comment with id %d'] = 'Die outeur het die kommentaar met id %d verwyder';
+$lang['delete this comment'] = "verwyder die kommentaar";
+$lang['validate this comment'] = 'keur die kommentaar goed';
+$lang['html tags are not allowed in login'] = 'html mag nie in aantekening gebruik word nie';
+
+?>
Index: /trunk/language/af_ZA/index.php
===================================================================
--- /trunk/language/af_ZA/index.php	(revision 11953)
+++ /trunk/language/af_ZA/index.php	(revision 11953)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/language/af_ZA/iso.txt
===================================================================
--- /trunk/language/af_ZA/iso.txt	(revision 11953)
+++ /trunk/language/af_ZA/iso.txt	(revision 11953)
@@ -0,0 +1,1 @@
+Afrikaans [ZA]