Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 11959)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 11960)
@@ -792,3 +792,54 @@
 $lang['Type in a search term'] = 'Откуцајте тражени израз';
 $lang['display'] = 'приказ';
+$lang['Average rate'] = 'Просечна оцена';
+$lang['Rate'] = 'Оцена';
+$lang['Compact'] = 'Запаковано';
+$lang['Complete'] = 'Завршено';
+$lang['Deactivate all'] = 'Искључи све';
+$lang['Restore'] = 'Обнови';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Обнови подразумевану конфигурацију. Изгубићете Ваша подешавања додатака!';
+$lang['Show menubar'] = 'Прикажи мени';
+$lang['Regenerate Thumbnails'] = 'Регенерисање сличица';
+$lang['Regenerate Websize Photos'] = 'Регенерисање фотографија за међумрежу';
+$lang['Thumbnails generation in progress...'] = 'У току је генерисање сличица ...';
+$lang['Photos generation in progress...'] = 'У току је генерисање слика ...';
+$lang['%s thumbnails have been regenerated'] = 'Број сличица који је регенерисан: %s';
+$lang['%s thumbnails can not be regenerated'] = 'Број сличица који се не може регенерисати: %s';
+$lang['%s photos have been regenerated'] = 'Број регенерисаних фотографија: %s';
+$lang['%s photos can not be regenerated'] = 'Број фотографија који се не може регенерисати: %s';
+$lang['Only photos with HD can be regenerated!'] = 'Само фотографије у HD могу бити регенерисане!';
+$lang['Updates'] = 'Унапређење';
+$lang['Update in progress... Please wait.'] = 'У току је унапређење... Молимо Вас да сачеката.';
+$lang['Ignore this update'] = 'Занемари ово унапређење';
+$lang['Reset ignored updates'] = 'Обнови занемарена унапређења';
+$lang['Update All'] = 'Унапреди све';
+$lang['ERROR'] = 'Грешка';
+$lang['Update Complete'] = 'Унапређење је завршено';
+$lang['Piwigo Update'] = 'ПиВиГо је унапређен';
+$lang['Extensions Update'] = 'Додатаци су унапређени';
+$lang['All extensions are up to date.'] = 'Сви додаци су ажурирани.';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Следећи додаци можда нису компатибилни са новом верзијом ПиВиГо-а:';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Следеће теме можда нису компатибилне са новом верзијом ПиВиГо-а:';
+$lang['I decide to update anyway'] = 'Одлучио сам да унапредим у сваком случају';
+$lang['Update to Piwigo %s'] = 'Унапредите на ПиВиГо: %s';
+$lang['Two updates are available'] = 'Два унапређења су доступна';
+$lang['This is a minor update, with only bug corrections.'] = 'Ово је мање унапређење, само са мањим корекцијама грешака.';
+$lang['This is a major update, with <a href="%s">new exciting features</a>.'] = 'Ово је главно унапређење, са <a href="%s">новим могућностима</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'Неке теме и додаци можда још нису доступни.';
+$lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Можете унапредити ПиВиГо директно на %s, без унапређења ПиВиГо-а %s (препоручено).';
+$lang['Save Template Directory'] = 'Снимање адресара шаблона';
+$lang['Dump Database'] = 'Дамповање базе података';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Укључи податке о историји (Упозорење: Меморијско ограничење сервера може бити прекорачено)';
+$lang['Unable to write new local directory.'] = 'Не могу да запишем нови локални адресар.';
+$lang['Unable to send template directory.'] = 'Не могу да пошаљем адресар шаблона.';
+$lang['Unable to dump database.'] = 'Не могу да дампујем базу података.';
+$lang['Some upgrades are available for extensions.'] = 'Нека унапређења су доступна за проширења.';
+$lang['Ignore All'] = 'Занемари све';
+$lang['Crop'] = 'Одсецање';
+$lang['Width'] = 'Ширина';
+$lang['Height'] = 'Висина';
+$lang['Follow Orientation'] = 'Следећа орјентација';
+$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Ако желите да обновите сличице, молимо Вас да одете на следећу везу: <a href="%s">Управљач обраде</a>.';
+$lang['Graphics Library'] = 'Графичка библиотека';
+
 ?>
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 11959)
+++ /trunk/language/sr_RS/common.lang.php	(revision 11960)
@@ -36,5 +36,4 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times)'] = '%.2f (оцењено %d пута)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d категорија обновљена';
@@ -58,5 +57,4 @@
 $lang['At least one tag must match'] = 'Најмање једна ознака се мора поклапати';
 $lang['Author'] = 'Аутор';
-$lang['Average rate'] = 'Просечна оцена';
 $lang['Albums'] = 'Категорије';
 $lang['Album'] = 'Категорија';
@@ -106,5 +104,4 @@
 $lang['Quick connect'] = 'Брза веза';
 $lang['RSS feed'] = 'RSS извор';
-$lang['Rate'] = 'Оцена';
 $lang['Register'] = 'Упишите се';
 $lang['Registration'] = 'Регистрација';
@@ -356,3 +353,5 @@
 $lang['validate this comment'] = 'овери овај коментар';
 $lang['html tags are not allowed in login'] = 'html ознаке нису дозвољене овде';
+$lang['The number of photos per page must be a not null scalar'] = 'Број фотографија по страни мора бити већи од нуле';
+$lang['Number of photos per page'] = 'Број фотографија по страници';
 ?>