Index: /extensions/stripped/admin/admin.inc.php
===================================================================
--- /extensions/stripped/admin/admin.inc.php	(revision 11981)
+++ /extensions/stripped/admin/admin.inc.php	(revision 11982)
@@ -24,4 +24,5 @@
 	$config['useNavigationArrows']=isset($_POST['f_useNavigationArrows']);
 	$config['infoTabAdminOnly']=isset($_POST['f_infoTabAdminOnly']);
+	$config['defaultTab']=$_POST['f_defaultTab'];
 	$config['imageAutosize']=isset($_POST['f_imageAutosize']);
 	$config['imageAutosizeTitle']=isset($_POST['f_imageAutosizeTitle']);
@@ -34,5 +35,6 @@
 	$config['highResClickMode']='zoom';
 
-	
+	array_push($page['infos'], l10n('Information data registered in database'));
+
 	conf_update_param('stripped', pwg_db_real_escape_string(serialize($config)));
 
Index: /extensions/stripped/admin/admin.tpl
===================================================================
--- /extensions/stripped/admin/admin.tpl	(revision 11981)
+++ /extensions/stripped/admin/admin.tpl	(revision 11982)
@@ -53,4 +53,16 @@
 					<input type="checkbox" name="f_infoTabAdminOnly" {if $options.infoTabAdminOnly}checked{/if}>
 				</label></li>
+				<li><label>
+					<span class="property">{'Default tab to be displayed'|@translate}</span>&nbsp;
+					<select name="f_defaultTab">
+						<option value="none">-----</option>
+						<option value="last" {if ($options.defaultTab=="last")}selected{/if}>{'Last'|@translate}</option>
+						<option value="caption" {if ($options.defaultTab=="caption")}selected{/if}>{'Description'|@translate}</option>
+						<option value="tags" {if ($options.defaultTab=="tags")}selected{/if}>{'Tags'|@translate}</option>
+						<option value="meta0" {if ($options.defaultTab=="meta0")}selected{/if}>{'Metadata'|@translate}</option>
+						<option value="info" {if ($options.defaultTab=="info")}selected{/if}>{'Informations'|@translate}</option>
+						<option value="comments" {if ($options.defaultTab=="comments")}selected{/if}>{'Comments'|@translate}</option>
+					</select>
+				</label></li>
 			</ul>
 		</fieldset>
Index: /extensions/stripped/admin/maintain.inc.php
===================================================================
--- /extensions/stripped/admin/maintain.inc.php	(revision 11981)
+++ /extensions/stripped/admin/maintain.inc.php	(revision 11982)
@@ -18,4 +18,5 @@
 	'useNavigationArrows'			=> true,
 	'infoTabAdminOnly'				=> false,
+	'defaultTab'					=> "none",
 	'imageAutosize'					=> true,
 	'imageAutosizeTitle'			=> true,
Index: /extensions/stripped/admin/upgrade.inc.php
===================================================================
--- /extensions/stripped/admin/upgrade.inc.php	(revision 11981)
+++ /extensions/stripped/admin/upgrade.inc.php	(revision 11982)
@@ -18,4 +18,5 @@
 	'useNavigationArrows'			=> true,
 	'infoTabAdminOnly'				=> false,
+	'defaultTab'					=> "none",
 	'imageAutosize'					=> true,
 	'imageAutosizeTitle'			=> true,
Index: /extensions/stripped/js/scripts-tpp.js
===================================================================
--- /extensions/stripped/js/scripts-tpp.js	(revision 11981)
+++ /extensions/stripped/js/scripts-tpp.js	(revision 11982)
@@ -57,5 +57,4 @@
 
 	var tab_loaded=0;
-	var tab_height=[];
 	var delay=400;
 	var hfirst;
@@ -64,6 +63,37 @@
 	var tab_titles=jQuery(".tabTitle");
 	var tab_blocks=jQuery(".tabBlock");
+	var tab_name;
+	var tab_start = null;
+	
+	if (options.defaultTab) {
+		if (options.defaultTab != "none") tab_start = options.defaultTab;
+		if (options.defaultTab == "last") tab_start = jQuery.cookie("tabactive");
+	}
 
 	if ((tab_titles.length != 0) && (tab_titles.length == tab_blocks.length)) {
+
+		if (tab_start != null) {
+			tab_blocks.each(function(index) {
+				jQuery(this).css("display","none");
+			});
+			tab_loaded=1;
+			jQuery("#tabs").css("height","auto");
+	
+			tab_titles.each(function(index1) {
+				tab_name = jQuery(this).attr("name");
+				if (tab_name == tab_start) {
+					jQuery(this).addClass("tabSelected");
+					jQuery.cookie("tabactive",jQuery(this).attr("name"));
+					var old_selected_tab =-1;
+					tab_blocks.each(function(index2) {
+						if (index1 == index2) {
+							jQuery(this).show();
+						}
+					});
+				}
+			});
+		
+		}
+
 		tab_titles.each(function(index1) {
 			var tab_title = jQuery(this);
@@ -85,6 +115,8 @@
 						}
 					});
+					jQuery.cookie("tabactive",null);
 				} else {
 					jQuery(this).addClass("tabSelected");
+					jQuery.cookie("tabactive",jQuery(this).attr("name"));
 					var old_selected_tab =-1;
 					tab_titles.each(function(index2) {
@@ -184,5 +216,5 @@
 
 			if (TitleBox.length != 0) {
-				TitleBox.css("width",jQuery("#theImg").outerWidth()+"px");
+				TitleBox.css("min-width",jQuery("#theImg").outerWidth()+"px");
 			}
 
@@ -222,6 +254,6 @@
 
 		if ((jQuery("#mapPicture").length==0) && (jQuery("#Panorama").length==0) && (jQuery("#pamoorama").length==0)){
-			PrevBoxIn.mouseenter(function(){PrevImg.animate({opacity:1},tfade);});
-			PrevBoxOut.mouseleave(function(){PrevImg.animate({opacity:0},tfade);});
+			PrevBoxIn.mouseenter(function(){PrevImg.stop(true, false).animate({opacity:1},tfade);});
+			PrevBoxOut.mouseleave(function(){PrevImg.stop(true, false).animate({opacity:0},tfade);});
 		} else {
 			PrevBoxOut.css("display","none");
@@ -237,6 +269,6 @@
 
 		if ((jQuery("#mapPicture").length==0) && (jQuery("#Panorama").length==0) && (jQuery("#pamoorama").length==0)){
-			NextBoxIn.mouseenter(function(){NextImg.animate({opacity:1},tfade);});
-			NextBoxOut.mouseleave(function(){NextImg.animate({opacity:0},tfade);});
+			NextBoxIn.mouseenter(function(){NextImg.stop(true, false).animate({opacity:1},tfade);});
+			NextBoxOut.mouseleave(function(){NextImg.stop(true, false).animate({opacity:0},tfade);});
 		} else {
 			NextBoxOut.css("display","none");
Index: /extensions/stripped/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped/language/en_UK/theme.lang.php	(revision 11981)
+++ /extensions/stripped/language/en_UK/theme.lang.php	(revision 11982)
@@ -24,4 +24,7 @@
 $lang['Minimum image height after resize']='Minimum image height after resize';
 $lang['stripped Configuration updated']='stripped Configuration updated';
+$lang['Default tab to be displayed']='Default tab to be displayed';
+$lang['Last']='Last';
+$lang['Metadata']='Metadata';
 
 ?>
Index: /extensions/stripped/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped/language/fr_FR/theme.lang.php	(revision 11981)
+++ /extensions/stripped/language/fr_FR/theme.lang.php	(revision 11982)
@@ -9,5 +9,5 @@
 $lang['Hide menu by default on category page']='Menu masqu&eacute; par d&eacute;faut sur la page des cat&eacute;gories';
 $lang['Animate menu']='Menu anim&eacute;';
-$lang['Animate tabs on picture page']='Tabs anim&eacute;s sur la page image';
+$lang['Animate tabs on picture page']='Onglets anim&eacute;s sur la page image';
 $lang['Replace all icons by ALT text']='Remplacer les icones par leur attribut ALT';
 $lang['Force text to lowercase']='Affichage forc&eacute; en minuscules';
@@ -17,5 +17,5 @@
 $lang['Show description instead of title below image']='Afficher la description &agrave; la place du titre en dessous de l\'image';
 $lang['Use arrows instead of navigation thumbnails']='Utiliser des fl&egrave;ches de navigation &agrave; la place des miniatures';
-$lang['Show Information tab only to admins']='Tab \'Informations\' r&eacute;serv&eacute; aux admins';
+$lang['Show Information tab only to admins']='Onglet \'Informations\' r&eacute;serv&eacute; aux admins';
 $lang['Image autosize options']='Redimensionnement auto des images';
 $lang['Resize image to fit window']='Activer le redimensionnement auto';
@@ -24,3 +24,7 @@
 $lang['Minimum image height after resize']='Hauteur minimale apr&egrave;s redimensionnement';
 $lang['stripped Configuration updated']='Configuration mise &agrave; jour';
+$lang['Default tab to be displayed']='Onglet affich&eacute; par d&eacute;faut';
+$lang['Last']='Dernier ouvert';
+$lang['Metadata']='Meta-donn&eacute;es';
+
 ?>
Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 11981)
+++ /extensions/stripped/readme.txt	(revision 11982)
@@ -27,4 +27,9 @@
 Changelog
 ---------
+
+*** version 1.4.4
+
+- new option to choose default tab to be displayed
+- corrected display bug with long descriptions
 
 *** version 1.4.3
Index: /extensions/stripped/template/config.js.tpl
===================================================================
--- /extensions/stripped/template/config.js.tpl	(revision 11981)
+++ /extensions/stripped/template/config.js.tpl	(revision 11982)
@@ -9,4 +9,5 @@
 {if $BODY_ID=='thePicturePage'}
 	animatedTabs:{if $stripped.animatedTabs}true{else}false{/if},
+	defaultTab:"{$stripped.defaultTab}",
 	imageAutosize:{if $stripped.imageAutosize}true{else}false{/if},
 	imageAutosizeTitle:{if $stripped.imageAutosizeTitle}true{else}false{/if},
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 11981)
+++ /extensions/stripped/template/picture.tpl	(revision 11982)
@@ -152,19 +152,19 @@
 			<ul id="tabTitles">
 				{if $display_description_tab}
-					<li id="tabTcaption" class="tabTitle">{'Description'|@translate}</li>
+					<li id="tabTcaption" class="tabTitle" name="caption">{'Description'|@translate}</li>
 				{/if}
 				{if ($display_info.tags && (isset($related_tags) || ($usertags)))}
-					<li id="tabTtags" class="tabTitle">{'Tags'|@translate}</li>
+					<li id="tabTtags" class="tabTitle" name="tags">{'Tags'|@translate}</li>
 				{/if}
 				{if isset($metadata)}
 					{foreach from=$metadata item=meta key=id}
-						<li id="tabTmeta{$id}" class="tabTitle">{$meta.TITLE}</li>
+						<li id="tabTmeta{$id}" class="tabTitle" name="meta{$id}">{$meta.TITLE}</li>
 					{/foreach}
 				{/if}
 				{if $display_info_panel}
-					<li id="tabTinfo" class="tabTitle">{'Information'|@translate}</li>
+					<li id="tabTinfo" class="tabTitle" name="info">{'Information'|@translate}</li>
 				{/if}
 				{if (isset($COMMENT_COUNT) and ($COMMENT_COUNT>0)) or isset($comment_add) }
-					<li id="tabT_comments" class="tabTitle" title="{'Add a comment'|@translate}">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</li>
+					<li id="tabT_comments" class="tabTitle" title="{'Add a comment'|@translate}" name="comments">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</li>
 				{/if}
 			</ul>
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 11981)
+++ /extensions/stripped/theme.css	(revision 11982)
@@ -711,6 +711,7 @@
 
 #imageTitleContainer {
-	width:100%;
+	max-width:1100px;
 	margin:auto;
+	display:inline-block;
 }
 