Index: /branches/2.2/language/ar_SA/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/ar_SA/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/ar_SA/help/photos_add_ftp.html	(revision 12024)
@@ -70,5 +70,5 @@
 </li>
 
-<li>باستثناء تلك المسماة "تصغير"، "pwg-high "
+<li>باستثناء تلك المسماة "تصغير"، "pwg_high "
 "pwg_representative"(انظر شرح أدناه)، تحت كل مجلد
 "معرض" تنتج ألبوم, لا يوجد حد في العمق,</li>
Index: /branches/2.2/language/cs_CZ/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/cs_CZ/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/cs_CZ/help/photos_add_ftp.html	(revision 12024)
@@ -63,5 +63,5 @@
   </li>
 
-  <li>Kromě adreářů pojmenovaných "thumbnail", "pwg-high" nebo "pwg_representative" (čtěte vysvětlení níže), každý adresář v "galleries" vytvoří kategorii. Není zde omezení hloubky adresářů.</li>
+  <li>Kromě adreářů pojmenovaných "thumbnail", "pwg_high" nebo "pwg_representative" (čtěte vysvětlení níže), každý adresář v "galleries" vytvoří kategorii. Není zde omezení hloubky adresářů.</li>
 
   <li>Každý element kategorie je reprezentován souborem. Soubor může být elementem Piwigo pokud jeho přípona odpovídá parametru konfigurace <code>file_ext</code>
Index: /branches/2.2/language/de_DE/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/de_DE/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/de_DE/help/photos_add_ftp.html	(revision 12024)
@@ -60,5 +60,5 @@
   </li>
   
-<li>Außer den Ordnern "thumbnail", "pwg-high" und "pwg_representative" (siehe unten), erzeugt jeder Unterordner ein neues Album in der Galerie. 
+<li>Außer den Ordnern "thumbnail", "pwg_high" und "pwg_representative" (siehe unten), erzeugt jeder Unterordner ein neues Album in der Galerie. 
 Es kann beliebig viele Unterverzeichnisse (Unteralben) geben.
 Im obigen Beispiel, ist "Album-1.1.1.1" auf dem Niveau 4.</li>
Index: /branches/2.2/language/en_UK/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/en_UK/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/en_UK/help/photos_add_ftp.html	(revision 12024)
@@ -67,5 +67,5 @@
   </li>
 
-  <li>Except for those named "thumbnail", "pwg-high" or "pwg_representative" (see explanations below), each directory under "galleries" produces a album. There is no limit on deepness.</li>
+  <li>Except for those named "thumbnail", "pwg_high" or "pwg_representative" (see explanations below), each directory under "galleries" produces a album. There is no limit on deepness.</li>
 
   <li>Basically, an element is represented by a file. A file can be a
Index: /branches/2.2/language/hu_HU/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/hu_HU/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/hu_HU/help/photos_add_ftp.html	(revision 12024)
@@ -64,5 +64,5 @@
   </li>
   
-<li>Minden új alkönyvtár a "galeries" könyvtárban létrehoz egy új albumot, kivételek a "thumbnail", "pwg-high" és "pwg_representative" (a magyarázatot lásd alább). A könyvtárak mélysége nincs korlátozva.
+<li>Minden új alkönyvtár a "galeries" könyvtárban létrehoz egy új albumot, kivételek a "thumbnail", "pwg_high" és "pwg_representative" (a magyarázatot lásd alább). A könyvtárak mélysége nincs korlátozva.
     A fenti példában a Kategorie-1.1.1.1 könyvtár 4 mélység szintű.</li>
 
Index: /branches/2.2/language/lv_LV/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/lv_LV/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/lv_LV/help/photos_add_ftp.html	(revision 12024)
@@ -62,5 +62,5 @@
 </li>
 
-<li>Izņemot ar nosaukumu "thumbnail", "pwg-high" vai "pwg_representative" (skatīt skaidrojumu zemāk), katra mape zem "galleries" veido kategoriju. To dziļumam nav ierobežojumu.</li>
+<li>Izņemot ar nosaukumu "thumbnail", "pwg_high" vai "pwg_representative" (skatīt skaidrojumu zemāk), katra mape zem "galleries" veido kategoriju. To dziļumam nav ierobežojumu.</li>
 
 <li>Pamatā elementu pārstāv fails. Fails var būt Piwigo elements, ja tā paplašinājums ir starp <code>file_ext</code> konfigurācijas parametru iespējām (skatīt <span class="filename">include/config_default.inc.php</span> failu). Fails var būt attēls, ja tā paplašinājums ir starp <code>picture_ext</code> konfigurācijas parametru iespējām.</li>
Index: /branches/2.2/language/no_NO/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/no_NO/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/no_NO/help/photos_add_ftp.html	(revision 12024)
@@ -72,5 +72,5 @@
   </li>
 
-  <li>Untagen de med navnet "miniatyrbilder", "pwg-high" eller "pwg_representative" (se forklaring
+  <li>Untagen de med navnet "miniatyrbilder", "pwg_high" eller "pwg_representative" (se forklaring
 
 under), vil hver mappe under "gallerier" representerer et album. Det er ingen begrensning på dybden
Index: /branches/2.2/language/sk_SK/help/photos_add_ftp.html
===================================================================
--- /branches/2.2/language/sk_SK/help/photos_add_ftp.html	(revision 12023)
+++ /branches/2.2/language/sk_SK/help/photos_add_ftp.html	(revision 12024)
@@ -63,5 +63,5 @@
   </li>
 
-  <li>Okrem adresárov pomenovaných "thumbnail", "pwg-high" alebo "pwg_representative" (čítajte vysvetlenie nižšie), každý adresár v "galleries" vytvorí kategóriu. Nie je tu omedzenie hĺbky adresárov.</li>
+  <li>Okrem adresárov pomenovaných "thumbnail", "pwg_high" alebo "pwg_representative" (čítajte vysvetlenie nižšie), každý adresár v "galleries" vytvorí kategóriu. Nie je tu omedzenie hĺbky adresárov.</li>
 
   <li>Každý element kategórie je reprezentovaný súborom. Súbor môže byť elementom Piwigo pokiaľ jeho prípona odpovedá parametru konfigurácie <code>file_ext</code>